petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetConvergenceTest

Sets the function that is to be used to test for convergence of the nonlinear iterative solution.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetConvergenceTest(SNES snes,PetscErrorCode (*SNESConvergenceTestFunction)(SNES,PetscInt,PetscReal,PetscReal,PetscReal,SNESConvergedReason*,void*),void *cctx,PetscErrorCode (*destroy)(void*))

Logically Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| SNESConvergenceTestFunction | - routine to test for convergence Many br
| cctx | - [optional] context for private data for the convergence routine (may be NULL) Many br
| destroy | - [optional] destructor for the context (may be NULL; NULL_FUNCTION in Fortran) Many br

Many br

### Keywords

SNES, nonlinear, set, convergence, test

### See Also

SNESConvergedDefault(), SNESConvergedSkip(), SNESConvergenceTestFunction

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html